Notices


Reply
Thread Tools
Posts: 150 | Thanked: 169 times | Joined on Nov 2011 @ Sweden
#1
I swear by Privoxy and use it on all my computers - so why given the chance shouldn't I use it on the N900? The answer is - I should, and I want to!

There is a Maemo Wiki page for Privoxy, but it was made with previous NITs in mind and doesn't mention the N900. It does however mention several Maemo customizations done to the offered build.

There is one Privoxy build in extras-devel today - version 3.0.17, which is sufficiently up to date (current version being 3.0.18), so someone must be tending to it in some way. The question is, is this still the same (updated) Maemo-customized build that the Wiki refers to? Granted, the TMO search function is sketchy, but I haven't been able to find any relevant Privoxy thread posted in for the last couple of years, and none pertaining to Privoxy use on the N900.

I installed the extras-devel version, and it installs to /opt, but with symlinks to /etc/privoxy. It doesn't however install the necessary startup script to /etc/init.d, and when trying to run the binary as root (which is not the recommended way of doing it, anyway) it complains about config files not being present in /home/user/config, where they shouldn't be in the first place, and where the default config file is clearly not pointing.

Is anybody successfully running Privoxy on their N900? And if so, the extras-devel package, or something else entirely? A little help please...?
 

The Following User Says Thank You to bocephus For This Useful Post:
Posts: 64 | Thanked: 21 times | Joined on Nov 2011
#2
tor could be an alternative though .Try that,though m not sure if it is still working out there..Would love to know if there is one stable working proxy app out there for maemo,which i think ,doesnt exist.
 
Posts: 150 | Thanked: 169 times | Joined on Nov 2011 @ Sweden
#3
No, Tor is not an alternative to Privoxy. The Privoxy proxy is used for content filtering on the local host. Sure, they might be used to complement each other, but that's not what I'm looking for.
 
Posts: 1 | Thanked: 2 times | Joined on Aug 2011 @ France
#4
Hello there

About privoxy running on N900 :
It seems to run fine (at least the qtmobilehotspot embedded privoxy does its user-agent editing nicely).
However i did not test it extensively.

About running privoxy :
The default configuration file uses the current directory for finding other files. By default they are located in /opt/privoxy so try this :
Code:
root
cd /opt/privoxy
privoxy --no-daemon
And see if it starts (it should, and stay running in the terminal - kill it with ctrl + c).
You are on your own for editing the configuration file after that and setting everything up (i do not have much knowledge for that).

If you want to start privoxy in daemon mode (and not having it locked to your terminal session) :
Code:
root
cd /opt/privoxy
privoxy
Anyway, to see the command line options :
Code:
root
privoxy --help
Good luck
 

The Following 2 Users Say Thank You to dest For This Useful Post:
Posts: 150 | Thanked: 169 times | Joined on Nov 2011 @ Sweden
#5
dest: That works! Thanks! I wonder why the startup script wasn't installed, as it clearly was back when the Wiki entry was made.

Could I just lift the script from my desktop Debian installation? I'll have a look and see if it needs modification.
 
Posts: 150 | Thanked: 169 times | Joined on Nov 2011 @ Sweden
#6
This is the /etc/init.d debian startup script for privoxy:

Code:
#! /bin/sh
### BEGIN INIT INFO
# Provides:          privoxy
# Required-Start:    $local_fs $remote_fs $named $network $time
# Required-Stop:     $local_fs $remote_fs $named $network $time
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Privacy enhancing HTTP Proxy
# Description:       Privoxy is a web proxy with advanced filtering
#                    capabilities for protecting privacy, filtering
#                    web page content, managing cookies, controlling
#                    access, and removing ads, banners, pop-ups and
#                    other obnoxious Internet junk.
### END INIT INFO

# Author: Roland Rosenfeld <roland@debian.org>

# Do NOT "set -e"

# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="filtering proxy server"
NAME=privoxy
DAEMON=/usr/sbin/$NAME
PIDFILE=/var/run/$NAME.pid
OWNER=privoxy
CONFIGFILE=/etc/privoxy/config
DAEMON_ARGS="--pidfile $PIDFILE --user $OWNER $CONFIGFILE"
SCRIPTNAME=/etc/init.d/$NAME
LOGDIR=/var/log/privoxy
DEFAULTSFILE=/etc/default/$NAME

# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0

# Read configuration variable file if it is present
[ -r $DEFAULTSFILE ] && . $DEFAULTSFILE

# Create log directory if it does not exist
if [ ! -d "$LOGDIR" ]; then
    mkdir -m 750 $LOGDIR
    chown $OWNER:adm $LOGDIR
fi

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions

#
# Function that starts the daemon/service
#
do_start()
{
	# Return
	#   0 if daemon has been started
	#   1 if daemon was already running
	#   2 if daemon could not be started
	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
		|| return 1
	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
		$DAEMON_ARGS \
		|| return 2
	# Add code here, if necessary, that waits for the process to be ready
	# to handle requests from services started subsequently which depend
	# on this one.  As a last resort, sleep for some time.
}

#
# Function that stops the daemon/service
#
do_stop()
{
	# Return
	#   0 if daemon has been stopped
	#   1 if daemon was already stopped
	#   2 if daemon could not be stopped
	#   other if a failure occurred
	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
	RETVAL="$?"
	[ "$RETVAL" = 2 ] && return 2
	# Wait for children to finish too if this is a daemon that forks
	# and if the daemon is only ever run from this initscript.
	# If the above conditions are not satisfied then add some other code
	# that waits for the process to drop all resources that could be
	# needed by services started subsequently.  A last resort is to
	# sleep for some time.
	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
	[ "$?" = 2 ] && return 2
	# Many daemons don't delete their pidfiles when they exit.
	rm -f $PIDFILE
	return "$RETVAL"
}

#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
	#
	# If the daemon can reload its configuration without
	# restarting (for example, when it is sent a SIGHUP),
	# then implement that here.
	#
	start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
	return 0
}


case "$1" in
  start)
	if [ "$RUN_DAEMON" = "no" ]; then
            [ "$VERBOSE" != no ] && log_warning_msg "Not starting $DESC (disabled in $DEFAULTSFILE)."
            exit 0
	fi

	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
	do_start
	case "$?" in
		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
	esac
	;;
  stop)
	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
	do_stop
	case "$?" in
		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
	esac
	;;
  #reload|force-reload)
	#
	# If do_reload() is not implemented then leave this commented out
	# and leave 'force-reload' as an alias for 'restart'.
	#
	#log_daemon_msg "Reloading $DESC" "$NAME"
	#do_reload
	#log_end_msg $?
	#;;
  restart|force-reload)
	#
	# If the "reload" option is implemented then remove the
	# 'force-reload' alias
	#
	if [ "$RUN_DAEMON" = "no" ]; then
            [ "$VERBOSE" != no ] && log_warning_msg "Not restarting $DESC (disabled in $DEFAULTSFILE)."
            exit 0
	fi

	log_daemon_msg "Restarting $DESC" "$NAME"
	do_stop
	case "$?" in
	  0|1)
		do_start
		case "$?" in
			0) log_end_msg 0 ;;
			1) log_end_msg 1 ;; # Old process is still running
			*) log_end_msg 1 ;; # Failed to start
		esac
		;;
	  *)
	  	# Failed to stop
		log_end_msg 1
		;;
	esac
	;;
  status)
        status_of_proc "$DAEMON" "$NAME"
        exit $?
        ;;

  *)
	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
	echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload|status}" >&2
	exit 3
	;;
esac

:
So, the question is, can it be run as is, or were there tweaks made to the Maemo version that the Privoxy Wiki refers to that this straight-from-Debian script is missing?

I tried reinstalling the privoxy package in the repos, but it will just not install the startup script.
 
Reply


 
Forum Jump


All times are GMT. The time now is 13:37.